Get email (json, html or text content, raw)
curl --request GET \
--url https://mailcare.io/api/teams/{teamId}/emails/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://mailcare.io/api/teams/{teamId}/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mailcare.io/api/teams/{teamId}/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"sender": {
"id": "<string>",
"display_name": "<string>",
"email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"inbox": {
"id": "<string>",
"display_name": "<string>",
"email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"carbon_copies": [
{
"display_name": "<string>",
"email": "<string>"
}
],
"subject": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"read": "2023-11-07T05:31:56Z",
"favorite": true,
"has_html": true,
"has_text": true,
"size_in_bytes": 123,
"attachments": [
{
"id": "<string>",
"email_id": "<string>",
"headers_hashed": "<string>",
"file_name": "<string>",
"content_type": "<string>",
"size_in_bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"size_for_human": "<string>"
}
]
}
}Emails
Get email (json, html or text content, raw)
GET
/
emails
/
{id}
Get email (json, html or text content, raw)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response. The response format depends on the Accept header you include in your request. Choose the header value that matches the format you want.
JSON representation of the email. Set Accept: application/vnd.mailcare.v1+json to receive this format.
Show child attributes
Show child attributes
⌘I